Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Aug 2019 18:39:13 -0700

Michael Albinus wrote:
> With that patch, your test passes.
> 
> (Damn time arithmetic!)

No, time arithmetic is fun! :-)

Your patch has several instances of (floor (float-time X)) that would be 
slightly better if written as (time-convert X 'integer), as the former has 
(unlikely) rounding errors that the latter lacks.

I assume that the test now uses integer timestamps because file systems 
routinely drop low-order parts of timestamps. But won't the test continue to 
have problems with filesystems whose timestamp resolution is 2 seconds? I have 
heard of such things.